Built LMS Help Center
API Reference and PlaygroundCourse BuilderGrading Queue

GET List grading queue items

Retrieve paginated list of manual grading tasks with filtering by attempt, question, grader, and status

GET
/grading-queue

Retrieve paginated list of manual grading tasks with filtering by attempt, question, grader, and status

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

limit?integer

Maximum number of items to return (1-100)

Range1 <= value <= 100
Default25
offset?integer

Number of items to skip for pagination

Range0 <= value
Default0
attempt_id?string

Filter by exam attempt ID

Formatuuid
question_id?string

Filter by question ID

Formatuuid
assigned_grader_id?string

Filter by assigned grader user ID

Formatuuid
status?string

Filter by grading status

Value in

  • "todo"
  • "in_progress"
  • "completed"
  • "needs_review"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/grading-queue"
{  "data": [    {      "id": "{id}",      "organization_id": "{organization_id}",      "attempt_id": "{attempt_id}",      "question_id": "{question_id}",      "assigned_grader_id": "{assigned_grader_id}",      "status": "todo",      "original_response": {        "selected_option_ids": [          "string"        ],        "text_answer": "string",        "boolean_answer": true,        "numeric_answer": 0,        "file_url": "http://example.com",        "code": "string",        "ordering": [          "string"        ],        "matching_pairs": [          {            "left_item_id": "string",            "right_item_id": "string"          }        ],        "property1": "string",        "property2": "string"      },      "graded_response": {        "rubric_scores": [          {            "criterion_id": "{criterion_id}",            "level_id": "{level_id}",            "score": 0,            "weight": 0,            "feedback": "string"          }        ],        "calculated_score": 0,        "grader_notes": "string",        "flags": [          "string"        ],        "property1": "string",        "property2": "string"      },      "points_awarded": 0,      "grader_feedback": "string",      "graded_at": "2019-08-24T14:15:22Z",      "reviewed_by": "{reviewed_by}",      "reviewed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0,    "organizationId": "{organizationId}",    "rls_validated": true  }}